FDDividendShoutEngine< Scheme > Class Template Reference
Pricing engines » Vanilla option engines

Finite-differences shout engine with dividends. More...

`#include <ql/pricingengines/vanilla/fddividendshoutengine.hpp>`

Inherits FDEngineAdapter< base, engine >.

## Public Member Functions

| FDDividendShoutEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDDividendShoutEngine< Scheme >

Finite-differences shout engine with dividends.